r"""
>>> from testapp.models import *

>>> colors = OptionGroup.objects.create(name="colors")
>>> sizes = OptionGroup.objects.create(name="sizes")
>>> shirt = Product.objects.create(name="shirt")
>>> config = ConfigurableProduct(product="shirt")
>>> config.option_groups.add(colors)
>>> config.option_groups.add(sizes)
>>> config.option_groups.order_by('name')
[<OptionGroup: colors>, <OptionGroup: sizes>]
"""

# Use this to reproduce the error from a Python shell
_ = """
from testapp.models import *

colors = OptionGroup.objects.create(name="colors")
sizes = OptionGroup.objects.create(name="sizes")
shirt = Product.objects.create(name="shirt")
config = ConfigurableProduct(product=shirt)
config.option_groups.add(colors)
config.option_groups.add(sizes)
config.option_groups.order_by('name')
"""
